<template>
  <div class="page">
    <!-- <el-tabs v-model="activeName" type="border-card" @tab-click="handleClick">
      <el-tab-pane name="one" label="字典设置">字典设置</el-tab-pane>
      <el-tab-pane name="two" label="编研主题设置">编研主题设置</el-tab-pane>
      <el-tab-pane name="three" label="分类方案">
        <three-box />
      </el-tab-pane>
      <el-tab-pane name="four" label="界面设置">界面设置</el-tab-pane>
      <el-tab-pane name="five" label="门类报表">门类报表</el-tab-pane>
      <el-tab-pane name="six" label="自定义报表">自定义报表</el-tab-pane>
    </el-tabs> -->
    <three-box />
  </div>
</template>
<script>
  import {
    mapState
  } from "vuex";
  import threeBox from "./components/three"
  export default {
    data() {
      return {
        activeName: "one",
        clickTab: {}
      }
    },
    components: {
      threeBox
    },
    methods: {
      handleClick(tab) {
        this.clickTab = tab;
        switch (tab.name) {
          case 'one':
            break;
          case 'two':
            break;
          case 'three':
            this.$store.dispatch('fileSettings/getFondWithPage', {
              limit: 1000
            })
            break;
          case 'four':
            break;
          case 'five':
            break;
          case 'six':
            break;
        }
      }
    },
    computed: {
      filingYear: {
        get() {
          return this.$store.state.fileSettings.filingYear;
        },
        set(val) {
          this.$store.state.fileSettings.filingYear = val;
        },
      },
      fondsname: {
        get() {
          return this.$store.state.fileSettings.fondsname;
        },
        set(val) {
          this.$store.state.fileSettings.fondsname = val;
        },
      },
    },
    mounted(){
      this.handleClick({name: 'three'})
    },
    destroyed() {
      this.fondsname = ''
      this.filingYear = ''
    }
  }

</script>
<style lang="scss" scoped>
  .page {
    ::v-deep .el-tabs__content {
      background: #f6f8fc;
      padding: 8px;
    }



  }

</style>
